Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158176 - strace sudo invokes oops
Summary: strace sudo invokes oops
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-19 12:29 UTC by Didier
Modified: 2015-01-04 22:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-23 18:50:09 UTC


Attachments (Terms of Use)
dmesg (deleted)
2005-05-19 12:29 UTC, Didier
no flags Details

Description Didier 2005-05-19 12:29:52 UTC
Description of problem:

When executing e.g. "strace -e trace=file -f sudo /bin/su - root -c ls", the
kernel oopses, locking the machine up (SysRq ok, externak ping ok, external ssh
not ok).


Version-Release number of selected component (if applicable):

(stock FC4test3)
kernel-2.6.11-1.1286_FC4
strace-4.5.11-1
sudo-1.6.8p8-1

How reproducible:

Always


Steps to Reproduce:

$ strace -e trace=file -f sudo /bin/su - root -c ls
(oops can also be invoked in single-user boot)

  
Actual results:

May 19 13:48:14 dmbr042 kernel: Unable to handle kernel NULL pointer dereference
at virtual address 00000000
May 19 13:48:14 dmbr042 kernel:  printing eip:
May 19 13:48:14 dmbr042 kernel: 00000000
May 19 13:48:14 dmbr042 kernel: *pde = 3bc37067
May 19 13:48:14 dmbr042 kernel: Oops: 0000 [#1]
May 19 13:48:14 dmbr042 kernel: Modules linked in: hci_usb bluetooth dm_mod
video button battery ac ohci1394 ieee1394 yenta_socket rsrc_nonstatic
pcmcia_core uhci_hcd ehci_hcd snd_intel8x0m i2c_i801 i2c_core snd_intel8x0
snd_ac97_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore
snd_page_alloc ipw2200 ieee80211 ieee80211_crypt b44 mii ext3 jbd ata_piix
libata sd_mod scsi_mod
May 19 13:48:14 dmbr042 kernel: CPU:    0
May 19 13:48:14 dmbr042 kernel: EIP:    0060:[<00000000>]    Not tainted VLI
May 19 13:48:14 dmbr042 kernel: EFLAGS: 00010286   (2.6.11-1.1286_FC4)
May 19 13:48:14 dmbr042 kernel: EIP is at _stext+0x3feffdd8/0x8
May 19 13:48:14 dmbr042 kernel: eax: f7d17000   ebx: 01200011   ecx: 00000000  
edx: 00000000
May 19 13:48:14 dmbr042 kernel: esi: c1b18000   edi: c1b18bc4   ebp: f7d17000  
esp: f7d17fc4
May 19 13:48:14 dmbr042 kernel: ds: 007b   es: 007b   ss: 0068
May 19 13:48:14 dmbr042 kernel: Process su (pid: 2158, threadinfo=f7d17000
task=c1b18000)
May 19 13:48:14 dmbr042 kernel: Stack: 01202011 00000000 00000000 00000000
b7ef6708 bfc199d8 00000000 0000007b
May 19 13:48:14 dmbr042 kernel:        c010007b 00000078 005a1402 00000073
00000282 bfc19980 0000007b
May 19 13:48:14 dmbr042 kernel: Call Trace:
May 19 13:48:14 dmbr042 kernel: Code:  Bad EIP value.
May 19 13:48:14 dmbr042 kernel:  <0>Fatal exception: panic in 5 seconds

Comment 1 Didier 2005-05-19 12:29:53 UTC
Created attachment 114562 [details]
dmesg

Comment 2 Dave Jones 2005-05-21 07:07:28 UTC
Can you try and reproduce on the latest kernel ? 1286 is ancient in the
fast-moving world of kernel :-)


Comment 3 Didier 2005-05-23 18:50:09 UTC
Fixed in 1340 (appearantly, patience is not always a virtue ;) ).


Note You need to log in before you can comment on or make changes to this bug.